Package org.apache.lucene.util.automaton

# Class CharacterRunAutomaton

java.lang.Object
org.apache.lucene.util.automaton.RunAutomaton
org.apache.lucene.util.automaton.CharacterRunAutomaton

All Implemented Interfaces:
  `Accountable`

public class CharacterRunAutomaton extends RunAutomaton
Automaton representation for matching char[].

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.util.Accountable

  `NULL_ACCOUNTABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CharacterRunAutomaton(Automaton a)`
  Construct from a DFA

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `run(char[] s, int offset, int length)`
  Returns true if the given string is accepted by this automaton
  `boolean`
  `run(String s)`
  Returns true if the given string is accepted by this automaton.

  ### Methods inherited from class org.apache.lucene.util.automaton.RunAutomaton

  `equals, getCharIntervals, getSize, hashCode, isAccept, ramBytesUsed, step, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.util.Accountable

  `getChildResources`

- ## Constructor Details

  - ### CharacterRunAutomaton

    public CharacterRunAutomaton(Automaton a)
    Construct from a DFA
    Throws:
      `IllegalArgumentException` - if the automaton is not deterministic

- ## Method Details

  - ### run

    public boolean run(String s)
    Returns true if the given string is accepted by this automaton.

  - ### run

    public boolean run(char[] s, int offset, int length)
    Returns true if the given string is accepted by this automaton